KD Chart 2: KDChart::GridAttributes class Reference

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# KDChart::GridAttributes Class Reference

`#include <KDChartGridAttributes.h>`

List of all members.

## Public Member Functions
bool | adjustLowerBoundToGrid () const
bool | adjustUpperBoundToGrid () const
| GridAttributes (const GridAttributes &)
| GridAttributes ()
KDChartEnums::GranularitySequence | gridGranularitySequence () const
QPen | gridPen () const
qreal | gridStepWidth () const
qreal | gridSubStepWidth () const
bool | isGridVisible () const
bool | isSubGridVisible () const
bool | operator!= (const GridAttributes &other) const
GridAttributes & | operator= (const GridAttributes &)
bool | operator== (const GridAttributes &) const
void | setAdjustBoundsToGrid (bool adjustLower, bool adjustUpper)
| By default visible bounds of the data area are adjusted to match a main grid line.
void | setGridGranularitySequence (KDChartEnums::GranularitySequence sequence)
| Specify which granularity sequence is to be used to find a matching grid granularity.
void | setGridPen (const QPen &pen)
void | setGridStepWidth (qreal stepWidth=0.0)
void | setGridSubStepWidth (qreal subStepWidth=0.0)
void | setGridVisible (bool visible)
void | setSubGridPen (const QPen &pen)
void | setSubGridVisible (bool visible)
void | setZeroLinePen (const QPen &pen)
QPen | subGridPen () const
QPen | zeroLinePen () const
| ~GridAttributes ()

## Constructor & Destructor Documentation

KDChart::GridAttributes::GridAttributes | ( |  | ) |

KDChart::GridAttributes::GridAttributes | ( | const GridAttributes & |  | ) |

KDChart::GridAttributes::~GridAttributes | ( |  | ) |

## Member Function Documentation

bool KDChart::GridAttributes::adjustLowerBoundToGrid | ( |  | ) | const

bool KDChart::GridAttributes::adjustUpperBoundToGrid | ( |  | ) | const

KDChartEnums::GranularitySequence KDChart::GridAttributes::gridGranularitySequence | ( |  | ) | const

| Referenced by KDChart::CartesianCoordinatePlane::getDataDimensionsList().

QPen KDChart::GridAttributes::gridPen | ( |  | ) | const

| Referenced by operator<<().

qreal KDChart::GridAttributes::gridStepWidth | ( |  | ) | const

| Referenced by KDChart::CartesianCoordinatePlane::getDataDimensionsList(), and operator<<().

qreal KDChart::GridAttributes::gridSubStepWidth | ( |  | ) | const

| Referenced by KDChart::CartesianCoordinatePlane::getDataDimensionsList(), and operator<<().

bool KDChart::GridAttributes::isGridVisible | ( |  | ) | const

| Referenced by operator<<().

bool KDChart::GridAttributes::isSubGridVisible | ( |  | ) | const

| Referenced by operator<<().

bool KDChart::GridAttributes::operator!= | ( | const GridAttributes & | other | ) | const

| Definition at line 104 of file KDChartGridAttributes.h.
    00104 { return !operator==(other); }

GridAttributes& KDChart::GridAttributes::operator= | ( | const GridAttributes & |  | ) |

bool KDChart::GridAttributes::operator== | ( | const GridAttributes & |  | ) | const

void KDChart::GridAttributes::setAdjustBoundsToGrid | ( | bool | adjustLower,
|  | bool | adjustUpper
| ) |

| By default visible bounds of the data area are adjusted to match a main grid line. If you set the respective adjust flag to false the bound will not start at a grid line's value but it will be the exact value of the data range set. See also: CartesianCoordinatePlane::setHorizontalRange CartesianCoordinatePlane::setVerticalRange

void KDChart::GridAttributes::setGridGranularitySequence | ( | KDChartEnums::GranularitySequence | sequence | ) |

| Specify which granularity sequence is to be used to find a matching grid granularity. See details explained at KDChartEnums::GranularitySequence. You might also want to use setAdjustBoundsToGrid for fine-tuning the start/end value. See also: setAdjustBoundsToGrid, GranularitySequence

void KDChart::GridAttributes::setGridPen | ( | const QPen & | pen | ) |

void KDChart::GridAttributes::setGridStepWidth | ( | qreal | stepWidth = 0.0 | ) |

void KDChart::GridAttributes::setGridSubStepWidth | ( | qreal | subStepWidth = 0.0 | ) |

void KDChart::GridAttributes::setGridVisible | ( | bool | visible | ) |

void KDChart::GridAttributes::setSubGridPen | ( | const QPen & | pen | ) |

void KDChart::GridAttributes::setSubGridVisible | ( | bool | visible | ) |

void KDChart::GridAttributes::setZeroLinePen | ( | const QPen & | pen | ) |

QPen KDChart::GridAttributes::subGridPen | ( |  | ) | const

| Referenced by operator<<().

QPen KDChart::GridAttributes::zeroLinePen | ( |  | ) | const

| Referenced by operator<<().

The documentation for this class was generated from the following file:

- KDChartGridAttributes.h